Subject: bug#2338 closed by Adrian Robert <[email-masked]> (Re: 23.0.90; Vertical window border on OS X)

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 06 Mar 2009 15:40:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,ns package:

#2352: 23.0.60; Color Between Window Fringes (Mac OS X)

It has been closed by Adrian Robert <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Adrian Robert <[email-masked]> by
replying to this email.

-- 
2352: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2352
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 23.0.90; Vertical window border on OS X
From: Adrian Robert <[email-masked]>
To: [email-masked]
Cc: Aaron Ecay <[email-masked]>
Date: Fri, 6 Mar 2009 17:32:33 +0200

Thanks, I've applied this patch and am closing the report.

Subject: 23.0.60; Color Between Window Fringes (Mac OS X)
From: Peter Jones <[email-masked]>
To: [email-masked]
Date: Sun, 15 Feb 2009 15:05:11 -0700

In Emacs version 22.X there was either a black or white line between
window fringes when the frame was split and scroll bars were turned
off.

In the current Emacs, the background color is used for the line
between the fringes, making it hard to tell where one window ends, and
another starts.

I have two screenshots to make comparison easier:

http://pmade.com/static/images/screenshots/bugs/emacs/emacs-22-vline.jpg
http://pmade.com/static/images/screenshots/bugs/emacs/emacs-23-vline.jpg

Both Emacs sessions were started with the -q option.  It was
frustrating to see that the default background color, toolbar, and
scroll bar settings differed between version 22 and 23.

When switching to a white background with a black foreground, the
space between the window fringes was white, and just as difficult to
see where the window edges are located because the fringes blend
together.

Please let me know if I can get any other details for you.  Thanks.

In GNU Emacs 23.0.60.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-02-03 on skinny.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--prefix=/opt/local' '--with-ns' 'CC=/usr/bin/gcc-4.0' 'CFLAGS=-O2' 'LDFLAGS=-L/opt/local/lib' 'CPPFLAGS=-I/opt/local/include' 'CPP=/usr/bin/cpp-4.0''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  flyspell-mode: t
  display-time-mode: t
  window-number-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
( e m a c s - v e r s i o n ) C-j C-x RET r e p o r 
t - b <tab> <return>

Recent messages:
Loading ~/.emacs.d/pmade/pmade-packages...done
Loading ~/.emacs.d/pmade/pmade-keybindings...done
Loading ~/.emacs.d/pmade/pmade-programming...
Loading ~/.emacs.d/pmade/pmade-ruby...done
Loading ~/.emacs.d/pmade/pmade-programming...done
Loading ~/.emacs.d/pmade/pmade-colors...done
Loading ~/.emacs.d/pmade/pmade-term...done
Loading ~/.emacs.d/pmade/pmade-server...done
Loading ~/.emacs.d/pmade/pmade-local...done
For information about GNU Emacs and the GNU system, type C-h C-a.